## com.lowagie.text.pdf
Class BaseFont.StreamFont

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfStream
                  com.lowagie.text.pdf.BaseFont.StreamFont

Enclosing class:
  BaseFont

    static class BaseFont.StreamFont

extends PdfStream

Generates the PDF stream with the Type1 and Truetype fonts returning a PdfStream.

Field Summary

Fields inherited from class com.lowagie.text.pdf.PdfStream
`compressed, ENDSTREAM, inputStream, inputStreamLength, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`BaseFont.StreamFont(byte[] contents, int[] lengths)` Generates the PDF stream with the Type1 and Truetype fonts returning a PdfStream.
`BaseFont.StreamFont(byte[] contents, java.lang.String subType)` Generates the PDF stream for a font.

Method Summary

Methods inherited from class com.lowagie.text.pdf.PdfStream
`flateCompress, getRawLength, superToPdf, toPdf, writeContent, writeLength`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getKeys, isCatalog, isDictionaryType, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseFont.StreamFont

    public BaseFont.StreamFont(byte[] contents,
                               int[] lengths)
                        throws DocumentException

  Generates the PDF stream with the Type1 and Truetype fonts returning a PdfStream.

  Parameters:
    `contents` - the content of the stream
    `lengths` - an array of int that describes the several lengths of each part of the font
  Throws:
    `DocumentException` - error in the stream compression

### BaseFont.StreamFont

    public BaseFont.StreamFont(byte[] contents,
                               java.lang.String subType)
                        throws DocumentException

  Generates the PDF stream for a font.

  Parameters:
    `contents` - the content of a stream
    `subType` - the subtype of the font.
  Throws:
    `DocumentException`